summarylogtreecommitdiffstats
path: root/jsonbox.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-07 13:48:33 +0800
committerzxp198210052023-12-07 13:48:33 +0800
commit7795e19266e03f449541e97a2130eb36b89d8e7c (patch)
treeb2a97c47ef10058a863f85dba6e9f2acfeccb4d2 /jsonbox.sh
parentd84fde3be0dfac49a9c9130218d55cca5995f77f (diff)
downloadaur-7795e19266e03f449541e97a2130eb36b89d8e7c.tar.gz
update to 2.3.1
Diffstat (limited to 'jsonbox.sh')
-rw-r--r--jsonbox.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/jsonbox.sh b/jsonbox.sh
index f8dd1f8bbf08..2ec4412e5c4f 100644
--- a/jsonbox.sh
+++ b/jsonbox.sh
@@ -1,14 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron19
-APPDIR="/opt/jsonbox"
-export PATH="${APPDIR}:${APPDIR}/usr/sbin:${PATH}"
-export XDG_DATA_DIRS="./share/:/usr/share/gnome:/usr/local/share/:/usr/share/:${XDG_DATA_DIRS}"
-export LD_LIBRARY_PATH="${APPDIR}/usr/lib:${LD_LIBRARY_PATH}"
-export XDG_DATA_DIRS="${APPDIR}"/usr/share/:"${XDG_DATA_DIRS}":/usr/share/gnome/:/usr/local/share/:/usr/share/
-export GSETTINGS_SCHEMA_DIR="${APPDIR}/usr/share/glib-2.0/schemas:${GSETTINGS_SCHEMA_DIR}"
-_ASAR="${APPDIR}/resources/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file